/***************************************************************
 * Name:      AlphaMain.cpp
 * Purpose:   Code for Application Frame
 * Author:    Ji Zachar (zaachi@gmail.com)
 * Created:   2008-12-04
 * Copyright: Ji Zachar (http://zaachi.com)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "AlphaMain.h"


//Slider je provazany pomoci Event Table
BEGIN_EVENT_TABLE(AlphaDialog, wxDialog)
EVT_SLIDER(wxID_TRANSPARENT, AlphaDialog::OnTransparent)
END_EVENT_TABLE();

AlphaDialog::AlphaDialog(wxDialog *dlg)
    : GUIDialog(dlg)
{
}

AlphaDialog::~AlphaDialog()
{
}

void AlphaDialog::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void AlphaDialog::OnQuit(wxCommandEvent &event)
{
    Destroy();
}

//funkce pro nastaveni transparentnosti
void AlphaDialog::OnTransparent( wxCommandEvent &event ){
    if( AlphaDialog::CanSetTransparent() == true ){
        int value = m_slider->GetValue();

        this->SetTransparent( value * 18 + 75 );
    }
}
