/***************************************************************
 * Name:      AlphaMain.cpp
 * Purpose:   Code for Application Frame
 * Author:    Ji Zachar (zaachi@gmail.com)
 * Created:   2008-12-04
 * Copyright: Ji Zachar (http://zaachi.com)
 * License:
 **************************************************************/

#include "wx/wxprec.h"

#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif //WX_PRECOMP

#include "GUIDialog.h"

GUIDialog::GUIDialog( wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos, const wxSize& size, long style ) : wxDialog( parent, id, title, pos, size, style )
{
	this->SetSizeHints( wxDefaultSize, wxDefaultSize );

	wxBoxSizer* bSizer1;
	bSizer1 = new wxBoxSizer( wxVERTICAL );

    //Vlozeni textu
	m_staticText = new wxStaticText( this, wxID_ANY, wxT("Transparent"), wxDefaultPosition, wxDefaultSize, 0 );
	m_staticText->Wrap( -1 );
	//nastaveni pisma
	m_staticText->SetFont( wxFont( 12, 74, 90, 92, false, wxT("Tahoma") ) );

	bSizer1->Add( m_staticText, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5 );

    //vytvoreni slideru
	m_slider = new wxSlider( this, wxID_TRANSPARENT, 10, 0, 10, wxDefaultPosition, wxDefaultSize, wxSL_AUTOTICKS|wxSL_BOTH|wxSL_HORIZONTAL|wxSL_LABELS|wxSL_SELRANGE|wxSL_TOP );
	bSizer1->Add( m_slider, 1, wxEXPAND|wxBOTTOM|wxRIGHT|wxLEFT, 5 );

	this->SetSizer( bSizer1 );
	this->Layout();

	// Connect Events pro zavreni okna
	this->Connect( wxEVT_CLOSE_WINDOW, wxCloseEventHandler( GUIDialog::OnClose ) );
}

GUIDialog::~GUIDialog()
{
	// Disconnect Events
	this->Disconnect( wxEVT_CLOSE_WINDOW, wxCloseEventHandler( GUIDialog::OnClose ) );
}
